[run]
branch = True
concurrency = greenlet
omit =
    app/tests/*
    app/api/deps.py
    app/core/config.py
    app/main.py
    app/db/init_db.py
    app/db/utils.py
    app/initial_data.py
    app/tests_pre_start.py
    app/backend_pre_start.py


[report]
exclude_lines =
    pragma: no cover
    def __repr__
    def __str__
    if TYPE_CHECKING
    def read_root
